<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

<title>辣個麻辣燙</title>
  </head>
  <body>
    <div class="container">
      <!-- Modal -->
      <div class="modal show" id="myModal" role="dialog">
        <div class="modal-dialog modal-sm">
        
          <!-- Modal content-->
          <div class="modal-content">
            <div class="modal-header">
              <!-- <button type="button" class="close" data-dismiss="modal">&times;</button> -->
              <h4 class="modal-title">辣個麻辣燙</h4>
            </div>
            <div class="modal-body">
              <table class="table">
                <tbody>
                  <tr>
                    <th scope="row">單號</th>
                    <td><span id="takecode">1880</span></td>
                  </tr>
                  <!-- <tr>
                    <th scope="row">列印時間</th>
                    <td><span id="print-time"></span></td>
                  </tr> -->
                  <tr>
                    <th scope="row">預估取餐時間</th>
                    <td><span id="take-time">5 分鐘</span></td>
                  </tr>
                </tbody>
              </table>
              <div class="text-center">
                <p id="takeqr">取餐 QR Code</p>
                <img id="qrcode">
              </div>
            </div>
          </div>
        </div>
      </div>
      
    </div>
    <script>
      function getQueryVariable(name) {
        var query = window.location.search.substring(1);
        var vars = query.split("&");
        for (var i = 0; i < vars.length; i++) {
          var pair = vars[i].split("=");
          if (pair[0] === name) {
            return pair[1];
          }
        }
        return null;
      }



      let takecode = 1880;
      document.getElementById('takecode').textContent = takecode;
      let now = new Date();
      let takeTime = new Date(now.getTime() + 1000*60*5);

      // document.getElementById("print-time").textContent = now.getHours().toLocaleString('en-US', {minimumIntegerDigits: 2, useGrouping:false})
      //                                                  + ":" + now.getMinutes().toLocaleString('en-US', {minimumIntegerDigits: 2, useGrouping:false}) 
      //                                                  + ":" + now.getSeconds().toLocaleString('en-US', {minimumIntegerDigits: 2, useGrouping:false});

      let url = 'https://simple-counter-response-yun-shen-2304-f8ac3c8b2e1966c95ecf0abce.gitlab.io/step13.html?text=Happy Ending' ;
      document.getElementById("qrcode").src = "https://api.qrserver.com/v1/create-qr-code/?size=150x150&data=" + url;

                                                      //  document.getElementById("qrcode").src = "https://api.qrserver.com/v1/create-qr-code/?size=150x150&data=" + url;

      // document.getElementById("take-time").textContent = takeTime.getHours().toLocaleString('en-US', {minimumIntegerDigits: 2, useGrouping:false})
      //                                                  + ":" + takeTime.getMinutes().toLocaleString('en-US', {minimumIntegerDigits: 2, useGrouping:false}) 
      //                                                  + ":" + takeTime.getSeconds().toLocaleString('en-US', {minimumIntegerDigits: 2, useGrouping:false});


      // let timer = setInterval(function() {
      //   let now = new Date();
      //   document.getElementById("clock").textContent = now.getHours().toLocaleString('en-US', {minimumIntegerDigits: 2, useGrouping:false})
      //                                                  + ":" + now.getMinutes().toLocaleString('en-US', {minimumIntegerDigits: 2, useGrouping:false}) 
      //                                                  + ":" + now.getSeconds().toLocaleString('en-US', {minimumIntegerDigits: 2, useGrouping:false});
      //   let millis = window.duetime - now.getTime();
      //   let seconds = Math.round(millis / 1000);

      //   if (seconds >= 0) {
      //     document.getElementById("count-down").textContent = '餐點準備尚需: ' + seconds + ' 秒';
      //   }
        
      //   if (seconds === 0) {
      //       let text = '單號: ' + takecode + ' 判斷正確，取餐盒將自動開啟，請勿自行操作'; 
      //       let url = 'https://simple-counter-response-yun-shen-2304-f8ac3c8b2e1966c95ecf0abce.gitlab.io/step13.html?text=' + text ;
      //       document.getElementById("qrcode").src = "https://api.qrserver.com/v1/create-qr-code/?size=150x150&data=" + url;
      //       document.getElementById("takeqr").textContent = '取餐 QR code';
      //   }

      //   }, 1000);
    </script>
  </body>

</html>